package com.inspect.metadata.eqpbook.mapper;

import com.inspect.metadata.eqpbook.domain.BasedataEqpBookNvr;
import com.inspect.metadata.statis.domain.BasedataStatisNvr;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataEqpBookNvrMapper {
    BasedataEqpBookNvr selectBasedataEqpBookNvrByNvrId(Long nvrId);

    List<BasedataEqpBookNvr> selectBasedataEqpBookNvrList(BasedataEqpBookNvr eqpBookNvr);

    int insertBasedataEqpBookNvr(BasedataEqpBookNvr eqpBookNvr);

    int updateBasedataEqpBookNvr(BasedataEqpBookNvr eqpBookNvr);

    int deleteBasedataEqpBookNvrByNvrId(Long nvrId);

    int deleteBasedataEqpBookNvrByNvrIds(Long[] nvrIds);

    List<BasedataStatisNvr> selectNewInfo();
}
